(function(){
var additionalData = [
["player.html","(no title)",
"\t\n",0]
,["title.html","CTR-Pia Measurement Information",
"CTR-Pia Measurement Information\nVersion 4.10.3\n\tNintendo Confidential\n\tThis document contains confidential and proprietary information of Nintendo, and is protected under confidentiality agreements as well as the intellectual property laws of the United States and of other countries.No part of this document may be released, distributed, transmitted, or reproduced in any form , including by any electronic or mechanical means and by including within information storage and retrieval systems, without written permission from Nintendo.\n© 2012–2016 Nintendo. All rights reserved.\nAll company and product names in this document are the trademarks or registered trademarks of their respective companies.\nCTR-06-0278-001-M\n",0]
,["Pages/Page_78118915.html","PiaTransport CPU Load Measurement",
"PiaTransport CPU Load Measurement\nLists the results of CPU load measurements under a few conditions, using the session/ProfilingTest verification program included in the tests folder of the CTR-Pia package.\nThe measurement conditions for rendering and sound processing differ significantly from those of a normal retail product. Refer to these measurements as just one guideline for development.\nThese estimates derive the CPU load for communication by subtracting the load for processes other than communication from the processing load that includes communication. A single CPU core on the application side working at full capacity is considered to be 100%.\nMeasurements that are expected to have some variation in the results are remeasured as needed. Assume that measurements that were not remeasured have only a small variation from the previous version.\n",0]
,["Pages/Page_78118915.html#Anchor_78118915_測定条件","Measurement Conditions",
"Measurement Conditions\n \tCTR-Pia \t4.10.3\n \tCTR-NEX \t3.10.1\n \tCTR-SDK \t11.5.0\n \tFirmware \t0.25.0\n \tARMCC \t4.1 b1049\n Build: fast / Release (enhanced application)\nGame frame rate: 30 frames per second\nNEX thread mode (used in PiaSession Internet communication): ThreadModeUnsafeTransportBuffer\nSignature during communication: MD5\nDispatch is called twice for each game frame.\nUse the IS-SNAKE DevKit connected wirelessly to a single router.\n",0]
,["Pages/Page_78118915.html#Anchor_78118915_測定結果","Measurement Results",
"Measurement Results\nThe measurement values are written as (host)/(client).\n",0]
,["Pages/Page_78118915.html#Anchor_78118915_UnreliableProtocol","Unreliable Protocol",
"Unreliable Protocol\nEach send is 512 bytes of data, which is sent to all of the other stations for every game frame.\n \t \t4 units \t8 units\n \tUnreliable - Local \t1.47% / 1.44% \t2.15% / 2.12%\n \tUnreliable - Internet \t1.51% / 1.52% \t2.37% / 2.26%\n",0]
,["Pages/Page_78118915.html#Anchor_78118915_ReliableProtocol","Reliable Protocol",
"Reliable Protocol\nEach send is 128 bytes of data, which is sent to all of the other stations once for every two game frames.\n \t \t4 units \t8 units\n \tReliable - Local \t1.49% / 1.47% \t2.57% / 2.49%\n \tReliable - Internet \t1.37% / 1.35% \t2.27% / 2.25%\n",0]
,["Pages/Page_78118915.html#Anchor_78118915_参考：標準アプリとしてビルド","Reference: Build as a Standard Application",
"Reference: Build as a Standard Application\n",0]
,["Pages/Page_78118915.html#Anchor_78118915_UnreliableProtocol_branch_1","Unreliable Protocol",
"Unreliable Protocol\n \t \t8 units\n \tUnreliable - Internet \t9.18% / 8.55%\nCONFIDENTIAL\n",0]
,["Pages/Page_78118916.html","PiaSession Memory Usage Measurement",
"PiaSession Memory Usage Measurement\nLists the results of memory usage measurements under a few conditions using the session/ProfilingTest verification program included in the tests folder of the CTR-Pia package.\nThe measurement conditions for rendering and sound processing differ significantly from those of a normal retail product. Refer to these measurements as just one guideline for development.\nYou can individually set the size of each of the communication buffers at Pia initialization. In measurements, the peak value of each of the communication buffers is measured during communication, and the memory size for those peak values when set for the communication buffers of all stations is taken as the Pia memory usage.\nMeasurements that are expected to have some variation in the results are remeasured as needed. Assume that measurements that were not remeasured have only a small variation from the previous version.\n",0]
,["Pages/Page_78118916.html#Anchor_78118916_測定条件","Measurement Conditions",
"Measurement Conditions\n \tCTR-Pia \t4.10.3\n \tCTR-NEX \t3.10.1\n \tCTR-SDK \t11.5.0\n \tFirmware \t0.25.0\n \tARMCC \t4.1 b1049\n Build: fast / Release (enhanced application)\nGame frame rate: 30 frames per second\nNEX thread mode (used in PiaSession Internet communication): ThreadModeUnsafeTransportBuffer\nSignature during communication: MD5\nDispatch is called twice for each game frame.\nUse the IS-SNAKE DevKit connected wirelessly to a single router.\n",0]
,["Pages/Page_78118916.html#Anchor_78118916_測定結果","Measurement Results",
"Measurement Results\nThe measurement values are written as:\nLocal Communication: (Pia memory usage)\nInternet Communication: (Pia memory usage) + (NEX server service memory usage)\nThe above is what the code will look like.\n",0]
,["Pages/Page_78118916.html#Anchor_78118916_UnreliableProtocol","Unreliable Protocol",
"Unreliable Protocol\nEach send is 512 bytes of data, which is sent to all of the other stations for every game frame.\n \t \t4 units \t 8 units\n \tUnreliable - Local \t 290 (KB) \t 443 (KB)\n \tUnreliable - Internet \t 224 + 348 = 572 (KB) \t 377 + 345 = 722 (KB)\n",0]
,["Pages/Page_78118916.html#Anchor_78118916_ReliableProtocol","Reliable Protocol",
"Reliable Protocol\nEach send is 128 bytes of data, which is sent to all of the other stations once for every two game frames.\n \t \t4 units \t8 units\n \tReliable - Local \t 302 (KB) \t 505 (KB)\n \tReliable - Internet \t 224 + 346 = 570 (KB) \t 413 + 346 = 759 (KB)\nCONFIDENTIAL\n",0]
,["Pages/Page_78118917.html","PiaSync CPU Load Measurement",
"PiaSync CPU Load Measurement\nLists the results of CPU load measurements under a few conditions, using the sync/SyncProtocolProfiling verification program included in the tests folder of the CTR-Pia package.\nThe measurement conditions for rendering and sound processing differ significantly from those of a normal retail product. Refer to these measurements as just one guideline for development.\nThese estimates derive the CPU load for communication by subtracting the load for processes other than communication from the processing load that includes communication. A single CPU core on the application side working at full capacity is considered to be 100%.\nMeasurements that are expected to have some variation in the results are remeasured as needed. Assume that measurements that were not remeasured have only a small variation from the previous version.\n",0]
,["Pages/Page_78118917.html#Anchor_78118917_測定条件","Measurement Conditions",
"Measurement Conditions\n \tCTR-Pia \t4.10.3\n \tCTR-NEX \t3.10.1\n \tCTR-SDK \t11.5.0\n \tFirmware \t0.25.0\n \tARMCC \t4.1 b1049\n Build: fast / Release (enhanced application)\nGame frame rate: 30 frames per second\nShared data size: 12 + 5 + 8 bytes (using three data IDs)\nSend frequency (SyncProtocol::Setting::m_SendPeriod): 1\nSignature during communication: MD5\nDispatch is called twice for each game frame.\nUse the IS-SNAKE DevKit connected wirelessly to a single router.\n",0]
,["Pages/Page_78118917.html#Anchor_78118917_測定結果","Measurement Results",
"Measurement Results\nThe measurement values are written as (host)/(client).\nDelay buffer: 5 game frames\n",0]
,["Pages/Page_78118917.html#Anchor_78118917_SyncProtocol","Sync Protocol",
"Sync Protocol\n \t \t4 units \t8 units\n \tSync - Local \t1.51% / 1.43% \t2.12% / 2.08%\n \tSync - Internet \t1.30% / 1.28% \t1.92% / 1.87%\n Frame drops are 2% each or fewer.\n",0]
,["Pages/Page_78118917.html#Anchor_78118917_参考：標準アプリとしてビルド","Reference: Build as a Standard Application",
"Reference: Build as a Standard Application\n",0]
,["Pages/Page_78118917.html#Anchor_78118917_SyncProtocol_branch_1","Sync Protocol",
"Sync Protocol\n \t \t8 units\n \tSync - Internet \t7.43% / 7.34%\nCONFIDENTIAL\n",0]
];
for (var x = 0; x < additionalData.length; x++) Search.indexData.push(additionalData[x]);
Search.additionalData = additionalData;
})();
